<script setup lang="ts">
import MessageBox from '@/components/MessageBox.vue'
import MessageList from '@/components/MessageList.vue'
import { nextTick } from 'vue';
import { ref } from 'vue'
const messages = ref<string[]>(['Message 1'])
const messageList = ref<typeof MessageList | null>(null)
const answers = ['สวัสดีที่รัก','ไปไหนมาหรอ','กินข้าวหรอยัง','ไม่คุยด้วยและ']
function send(message: string){
  messages.value.push(message)
  answerWithComputer()
}

function answerWithComputer() {
  const ranAns = Math.floor(Math.random() * 10000) % answers.length
  const answer = answers[ranAns]
  messages.value.push(answer)
  nextTick(() => {
    messageList.value?.updateUI()
  })
}
</script>

<template>
  <div>
    <MessageList ref="messageList" :messages="messages"></MessageList>
    <MessageBox @send="send"></MessageBox>
  </div>
</template>
